Subject: RE: rebase and ME
From: "Ralf Habacker" <[email-masked]>
To: "Jason Tishler" <[email-masked]>
Cc: <[email-masked]>
Date: Fri, 9 Aug 2002 11:42:10 +0200

> > Can anyone tell me, which dll's are affected by this problem , so that
> > I can identify, what's going wrong with stripping ?
>
> The following DLLs are known to be affected by this problem:
>
>     PostgreSQL:
>     /usr/bin/ecpg.dll
>     /usr/bin/pgeasy.dll
>     /usr/bin/pq++.dll
>     /usr/bin/pq.dll
>
>     rxvt:
>     /usr/bin/libW11.dll
>
> Some of the more recent packages may contain some more examples, but I
> haven't check since February.

I have taken a look in to strip sources, but recognzied, that it needs much more
time to understand this stuff, so I have added to additional modes to the rebase
utility. After fixing bad relocation, the normal rebase should work also.

$ rebase --help
rebase Release: 0.4

usage: rebase [-D] -c                   check relocations
usage: rebase [-D] -f                   fix bad relocations

It would be great if someone would try this.

Ralf
--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/